MINTPY-MULTI_TRANSECT(1)

NAME
mintpy-multi_transect - Generating multiple profiles perpendicular to a Fault.

DESCRIPTION

    Generating multiple profiles(each profile includes seeveral transects [specified by -n]) perpendicular to a Fault . Fault is a path specified by lat and lon coordinates.

    Usage:

-n number of transects used to generate one profile

-d distance [in pixel] between individual transects to generate one profile

-F a txt file including the fault coordinates (first column lon , second column: lat)

-p flip profile left-right (yes or no) [default: no]

-u flip up - down [default: no]

-g gps_file (if exists)

-S source of GPS velocities (usgs,cmm4,mintpy)

-G gps stations to compare with InSAR
    (all,insar,profile)

    "all": all gps stations is projected to the profile "insar": same as all but limited to the area covered by insar "profile": only those gps stations which are in the profile area]

-x lower bound to display in x direction

-X higher bound to display in x direction

-l lower bound to display in y direction

-h higher bound to display in y direction

-I display InSAR velocity [on] or off

-A display Average InSAR velocity [on] or off

-U display Standard deviation of the InSAR velocity [on] or off

-E Export the generated transect to a matlab file [off] or on

-W Length of a profile

-D Distance between two consequent average profile

    Example:

    multi_transect.py -f geo_velocity_masked.h5 -n 50 -d 1 -W 10 -D 2 -F Chaman_fault.txt